/**
 * @file
 * Author: Synpase-studio.
 */

(function ($) {
  $(document).ready(function () {
    ymaps.ready(ymapsInit);

    function ymapsInit() {
      var pos = '<div class="ymap">' +
        '<div id="synmap" style="min-height:200px"></div>' +
        '<div class="shadow_t"></div> <div class="shadow_b"></div>' +
        '</div>';
      $.each(drupalSettings.synmap.data, function (index, value) {
        var mapSet = value;
        $(mapSet.attach).before(pos);
        var map = new ymaps.Map('synmap', {
          center: [mapSet.longitude, mapSet.latitude],
          zoom: mapSet.zoom,
          controls: ['zoomControl', 'fullscreenControl']
        });

        map.behaviors.disable('scrollZoom');

        var icon = drupalSettings.synmap.icon;
        if (drupalSettings.synmap.iconreplace) {
          icon = drupalSettings.synmap.iconreplace;
        }

        var companyPlacemark = new ymaps.Placemark(
          [mapSet.longitude, mapSet.latitude],
          {balloonContent: mapSet.name},
          icon
        );
        map.geoObjects.add(companyPlacemark);
        // Position examle.
        if (false) {
          var position = map.getGlobalPixelCenter();
          map.setGlobalPixelCenter([position[0] - mapSet.offset_y, position[1] - mapSet.offset_x]);
        }
      });
    }
  });
})(this.jQuery);
