<?php

namespace Drupal\synmap\Hook;

use Drupal\Core\Controller\ControllerBase;

/**
 * PreprocessHtml.
 */
class PageAttachments extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(array &$page) {
    $config = \Drupal::config('synmap.settings');
    $path = \Drupal::service('path.current')->getPath();
    $enable = $config->get('yamap-enable');
    $attach = $config->get('yamap-attach');
    $display = FALSE;
    if ($enable == 'enable_contact' && $path == $config->get('yamap-path')) {
      $display = TRUE;
    }
    if ($enable == 'enable' && substr($path, 0, 7) != '/admin/') {
      $display = TRUE;
    }

    if ($display) {
      $page['#attached']['library'][] = 'synmap/synmap.contact';
      $page['#attached']['drupalSettings']['synmap']['data']['contact'] = [
        'latitude'  => $config->get('map-latitude')?:39.868851844220124,
        'longitude' => $config->get('map-longitude')?:59.193704678739856,
        'zoom'      => $config->get('map-zoom')?:16,
        'name'      => $config->get('yamap-name')?:'Синапс',
        'offset_x'  => $config->get('map-offset_x'),
        'offset_y'  => $config->get('map-offset_y'),
        'attach'    => $attach,
      ];
      // MapIcon.
      $module = \Drupal::service('module_handler')->getModule('synmap')->getPath();
      $mapicon = [
        'iconLayout' => 'default#image',
        'iconImageHref' => "/$module/assets/images/yamap-ico.png",
        'iconImageSize' => [43, 57],
        'iconImageOffset' => [-21.5, -57],
      ];
      $page['#attached']['drupalSettings']['synmap']['icon'] = $mapicon;
    }
  }

}
